toolzerhub API Docs

List community moderators

List the moderators of a community. Paginate with cursor and has_more. An unknown community ID returns data: null.

6 credits / requestBilled only on success
GET
/v1/x/community/moderators

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

community_id*string

Numeric community ID from the community's x.com/i/communities URL.

Match^\d{1,25}$
cursor?string

cursor from the previous response. Omit for the first page and send it unchanged for later pages.

Lengthlength <= 2000
curl -X GET "https://example.com/v1/x/community/moderators?community_id=1493446837214187523" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "moderators": [      {        "id": "641633",        "handle": "marckohlbrugge",        "name": "Marc Kรถhlbrugge",        "description": "๐Ÿšง https://t.co/aMZ4K3azU0 ๐Ÿ  https://t.co/1KH3Ex4L2r ๐Ÿค‘ https://t.co/z2G662Uvhl ๐Ÿ‘€ https://t.co/LtA0MMRVNA ๐Ÿš€ https://t.co/sxmNUGTYQv ๐Ÿ“ฃ https://t.co/oPODwYE4Iq ๐Ÿ’ป https://t.co/leziY51tRd ๐Ÿ“ธ https://t.co/NJnFBXCSCj #๏ธโƒฃ https://t.co/6qUnpK7VH5",        "location": null,        "website": "https://t.co/QVn818Sinw",        "avatar_url": "https://pbs.twimg.com/profile_images/1857124042433572864/iMivVaYP_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/641633/1781378883",        "followers_count": 89305,        "following_count": 974,        "posts_count": 50145,        "media_count": 4896,        "likes_count": 37852,        "is_verified": false,        "is_blue_verified": true,        "verified_type": null,        "protected": false,        "created_at": "2007-01-15T23:55:33.000Z",        "pinned_post_ids": null,        "is_automated": null      },      {        "id": "2729705040",        "handle": "buildinpublic",        "name": "Build in Public",        "description": "Use hashtag #buildinpublic to share what you're working on. โ€“ Made by @marckohlbrugge. โ€“ Sponsored by https://t.co/vASwn0HF5o โšก",        "location": null,        "website": "https://t.co/yFEvPzT7HE",        "avatar_url": "https://pbs.twimg.com/profile_images/1416201794200477700/Kasb_zJv_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/2729705040/1792154727",        "followers_count": 73368,        "following_count": 2,        "posts_count": 3837,        "media_count": 80,        "likes_count": 462,        "is_verified": false,        "is_blue_verified": true,        "verified_type": null,        "protected": false,        "created_at": "2014-08-13T15:45:57.000Z",        "pinned_post_ids": null,        "is_automated": null      }    ],    "count": 2,    "cursor": null,    "has_more": false  }}